Topic on Extension talk:EmbedVideo

Josua Koenig (talkcontribs)

Could it be that this extension to 1.36 is not yet running? I always have the following error:

Deprecated:  Premature access to service container [Called from EmbedVideoHooks::onExtension in /var/www/html/extensions/EmbedVideo/EmbedVideo.hooks.php at line 77] in /var/www/html/includes/debug/MWDebug.php on line 376

Deprecated:  Premature access to service 'HookContainer' [Called from MediaWiki\MediaWikiServices::getInstance in /var/www/html/includes/MediaWikiServices.php at line 252] in /var/www/html/includes/debug/MWDebug.php on line 376

Deprecated:  Premature access to service 'ObjectFactory' [Called from Wikimedia\Services\ServiceContainer::{closure} in /var/www/html/includes/ServiceWiring.php at line 535] in /var/www/html/includes/debug/MWDebug.php on line 376

Deprecated:  Premature access to service 'ConfigFactory' [Called from EmbedVideoHooks::onExtension in /var/www/html/extensions/EmbedVideo/EmbedVideo.hooks.php at line 77] in /var/www/html/includes/debug/MWDebug.php on line 376

Deprecated:  Premature access to service 'BootstrapConfig' [Called from Wikimedia\Services\ServiceContainer::{closure} in /var/www/html/includes/ServiceWiring.php at line 277] in /var/www/html/includes/debug/MWDebug.php on line 376
Dinoguy1000 (talkcontribs)

Honestly, these days I think I would recommend using Extension:Widgets instead of this extension, unless you really need some functionality that it has but that Ext:Widgets can't replicate.

Reply to "Compatibility 1.36?"